Bug 227395 - lang/J: Update to 808-release
Summary: lang/J: Update to 808-release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-09 19:08 UTC by João Neves
Modified: 2018-04-17 16:52 UTC (History)
1 user (show)

See Also:


Attachments
Changes to bring J to the latest version (21.74 KB, patch)
2018-04-09 19:08 UTC, João Neves
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description João Neves 2018-04-09 19:08:53 UTC
Created attachment 192366 [details]
Changes to bring J to the latest version

Upgrade J to 808-release.

-----

portlint:
looks fine.
Comment 1 João Neves 2018-04-11 16:28:21 UTC
Might also fix the build for 10.3 since some problematic attributes unsupported by clang 3.4 are no longer present in the original source code.
Comment 2 Kurt Jaeger freebsd_committer 2018-04-17 15:42:54 UTC
testbuild@work
Comment 3 Kurt Jaeger freebsd_committer 2018-04-17 16:52:32 UTC
Committed, thanks. If possible, provide a link to a changelog ?
Comment 4 commit-hook freebsd_committer 2018-04-17 16:52:59 UTC
A commit references this bug:

Author: pi
Date: Tue Apr 17 16:52:18 UTC 2018
New revision: 467617
URL: https://svnweb.freebsd.org/changeset/ports/467617

Log:
  lang/J: update 806 -> 808

  - builds on 10.3 now

  PR:		227395
  Submitted by:	Joao Neves <sevenjp@gmail.com> (maintainer)

Changes:
  head/lang/J/Makefile
  head/lang/J/distinfo
  head/lang/J/files/patch-Makefile
  head/lang/J/files/patch-jlibrary_system_config_base.cfg
  head/lang/J/files/patch-jlibrary_system_main_regex.ijs
  head/lang/J/files/patch-jlibrary_system_main_stdlib.ijs
  head/lang/J/files/patch-jsrc_jeload.c
  head/lang/J/files/patch-make_build__jconsole.sh
  head/lang/J/files/patch-make_build__jdll.sh
  head/lang/J/files/patch-make_build__libj.sh
  head/lang/J/files/patch-make_build__tsdll.sh
  head/lang/J/files/patch-make_domake.sh
  head/lang/J/files/patch-make_jvars.sh
  head/lang/J/files/patch-make_makefile
  head/lang/J/files/patch-netdefs_netdefs.c
  head/lang/J/pkg-plist